CGAL 6.1.1 - 3D Spherical Geometry Kernel

Loading...
Searching...
No Matches
List of all members | Related Functions
CGAL::Circular_arc_point_3< SphericalKernel > Class Template Reference
Reference Manual » Geometric Kernel and Classes

`#include <CGAL/Circular_arc_point_3.h>`

## Definition

template<typename SphericalKernel>
class CGAL::Circular_arc_point_3< SphericalKernel >

Is model of
  `SphericalKernel::CircularArcPoint_3`

See also
  `CGAL::Circular_arc_3<SphericalKernel>`
  `CGAL::Line_arc_3<SphericalKernel>`

Examples
  Circular_kernel_3/intersecting_spheres.cpp.

## Related Functions
(Note that these are not member functions.)
bool | operator== (const Circular_arc_point_3< SphericalKernel > &p, const Circular_arc_point_3< SphericalKernel > &q)
| Test for equality.
bool | operator!= (const Circular_arc_point_3< SphericalKernel > &p, const Circular_arc_point_3< SphericalKernel > &q)
| Test for nonequality.
bool | operator< (const Circular_arc_point_3< SphericalKernel > &p, const Circular_arc_point_3< SphericalKernel > &q)
| Returns true iff `p` is lexicographically smaller than `q`, i.e. either if `p.x() < q.x()` or if `p.x() == q.x()` and `p.y() < q.y()` or if `p.x() == q.x()` and `p.y() == q.y()` and `p.z() < q.z()`.
bool | operator> (const Circular_arc_point_3< SphericalKernel > &p, const Circular_arc_point_3< SphericalKernel > &q)
| Returns true iff `p` is lexicographically greater than `q`.
bool | operator<= (const Circular_arc_point_3< SphericalKernel > &p, const Circular_arc_point_3< SphericalKernel > &q)
| Returns true iff `p` is lexicographically smaller than or equal to `q`.
bool | operator>= (const Circular_arc_point_3< SphericalKernel > &p, const Circular_arc_point_3< SphericalKernel > &q)
| Returns true iff `p` is lexicographically greater than or equal to `q`.
istream & | operator>> (std::istream &is, Circular_arc_point_3 &p)
ostream & | operator<< (std::ostream &os, const Circular_arc_point_3 &p)

## Creation
| Circular_arc_point_3 (const Point_3< SphericalKernel > &q)
| Circular_arc_point_3 (const SphericalKernel::Root_for_spheres_2_3 &r)

## Access Functions
const SphericalKernel::Root_of_2 & | x ()
| \( x\)-coordinate of the point.
const SphericalKernel::Root_of_2 & | y ()
| \( y\)-coordinate of the point.
const SphericalKernel::Root_of_2 & | z ()
| \( z\)-coordinate of the point.
Bbox_3 | bbox () const
| Returns a bounding box around the point.

## Friends And Related Function Documentation

## ◆ operator==()

template<typename SphericalKernel >

bool operator== | ( | const Circular_arc_point_3< SphericalKernel > & | p,
|  | const Circular_arc_point_3< SphericalKernel > & | q
| ) |  |
| related

Test for equality.

Two points are equal, iff their \( x\), \( y\) and \( z\) coordinates are equal.